package com.squareup.wire;

import X.Q1J;
import com.bytedance.covode.number.Covode;
import com.google.gson.c.a;
import com.google.gson.c.b;
import com.google.gson.c.c;
import com.google.gson.u;

public class ByteStringTypeAdapter extends u<Q1J> {
    static {
        Covode.recordClassIndex(47699);
    }

    public Q1J read(a aVar) {
        if (aVar.LJFF() != b.NULL) {
            return Q1J.decodeBase64(aVar.LJIIIIZZ());
        }
        aVar.LJIIJ();
        return null;
    }

    public void write(c cVar, Q1J q1j) {
        if (q1j == null) {
            cVar.LJFF();
        } else {
            cVar.LIZIZ(q1j.base64());
        }
    }
}
